<?php

// $Id: adly.admin.inc,v 1.1.2.1 2010/09/24 03:27:22 inadarei Exp $

/**
 * @file
 * Admin callbacks for the Ad.ly module.
 */

/**
 * Implementation of hook_admin_settings()
 */
function adly_admin_settings_form(&$form_state) {

  $form['adly_apikey'] = array(
    '#type' => 'textfield',
    '#title' => t('Ad.ly API Key'),
    '#default_value' => variable_get('adly_apikey', ''),
    '#size' => 20,
    '#required' => TRUE,
    '#description' => t('If you do not already have an Ad.ly API key, please acquire it by registering at: !link', array('!link'=>l('http://ad.ly/developer/register/','http://ad.ly/developer/register/'))),
  );
  
  $form['adly_testmode'] = array(
    '#type' => 'checkbox', 
    '#title' => t('Test Mode.'),
    '#default_value' => variable_get('adly_testmode', TRUE),
    '#description' => t('Debug mode. Ad.ly returns example ads.'),
    
  );

  return system_settings_form($form);
}